Name:           moodbar
Version:        0.1.2
Release:        4%{?dist}
Summary:        Identifies the "mood" of your music files

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://amarok.kde.org/wiki/Moodbar
Source0:        http://pwsp.net/~qbob/moodbar-%{version}.tar.gz

# Fix a Glib crash, patch from Debian
Patch0:         moodbar-0.1.2-glib.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gstreamer-devel, fftw-devel

%description
Moodbar is a program that takes a music file and generates a .mood file
identifying the "mood" of the music.
Amarok can then use it to figure out when something interesting happens
in the song.

%prep
%setup -q
%patch0 -p1 -b .glib


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-*/libmoodbar.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/gstreamer-*/libmoodbar.so


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.2-4
- Autorebuild for GCC 4.3

* Sun Dec 30 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.1.2-3
- remove versioned dependency

* Sat Dec 29 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.1.2-2
- fixes from the review request (#251950), thanks to Debarshi Ray

* Mon Aug 13 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.1.2-1
- initial package
